libuclmmbase1_1.2.16.0-1_i386.deb


Advertisement

Description

libuclmmbase1 - UCL Common Code (Multimedia) Library

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main i386
Package filename libuclmmbase1_1.2.16.0-1_i386.deb
Package name libuclmmbase1
Package version 1.2.16.0
Package release 1
Package architecture i386
Package type deb
Category devel::library libs role::shared-lib
Homepage -
License -
Maintainer David Martínez Moreno <ender@debian.org>
Download size 78.33 KB
Installed size 188.00 KB
Routines common to a number of multimedia tools. This library is required
to build RAT v3.2.7 or later, SDR, and may be needed for other UCL tools.
Shared library.

Alternatives

Package Version Architecture Repository
libuclmmbase1_1.2.16.0-1_amd64.deb 1.2.16.0 amd64 Debian Main
libuclmmbase1 - - -

Requires

Name Value
libc6 >= 2.3.5-1

Provides

Name Value
libmbonecommon -
libucl-common -
libuclmmbase -

Conflicts

Name Value
libmbonecommon -
libucl-common -
libuclmmbase -

Replaces

Name Value
libmbonecommon -
libucl-common -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libuclmmbase1_1.2.16.0-1_i386.deb
Source Package uclmmbase

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libuclmmbase1 deb package:
    # sudo apt-get install libuclmmbase1

Files

Path
/usr/lib/libuclmmbase.so.1
/usr/lib/libuclmmbase.so.1.2.16
/usr/share/doc/libuclmmbase1/TODO.Debian
/usr/share/doc/libuclmmbase1/changelog.Debian.gz
/usr/share/doc/libuclmmbase1/changelog.gz
/usr/share/doc/libuclmmbase1/copyright

Changelog

2006-02-16 - David Martínez Moreno <ender@debian.org>
uclmmbase (1.2.16.0-1) unstable; urgency=low
* I remade the tar.gz without CVS/ and .cvsignore files, thus avoiding
several lintian warnings. Apart from that there are no changes.
* Altered an old entry in the changelog with a e-mail address that was never
supposed to go there. It is like rewriting history. :-)
* Updated config.guess and config.sub in order to compile uclmmbase in
GNU/kFreeBSD. Thanks, Petr Salinger (closes: #342445).
* Bumped debhelper version to 4 and moved to debian/compat. More lintian
warnings gone...
* Bumped Standards-Version to 3.6.2.2...only one warning left.
* And commented out last line in debian/changelog in order to kill the last
lintian warning.
2004-10-06 - David Martínez Moreno <ender@debian.org>
uclmmbase (1.2.16-1) unstable; urgency=low
* New upstream release (closes: #194188, #239447).
2004-04-06 - David Martínez Moreno <ender@debian.org>
uclmmbase (1.2.12-3) unstable; urgency=low
* I discovered that I'm not following 10.2 chapter of Debian Policy, i.e.,
the library is not being compiled with -fPIC for the shared object and
without that for the static one. Also I was not using -D_REENTRANT,
mandatory as well.
* The library was skipping some setsockopt(SO_(SND|RV)BUF|), so patched
net_udp.c for fixing a badly placed "return NULL". Derfel, many thanks!
(closes: #242315).
* Derfel, please review my changes for #191068. I think that now every
important header file is protected with the C++ macro. This closes:
#191068.
2003-10-13 - David Martínez Moreno <ender@debian.org>
uclmmbase (1.2.12-2) unstable; urgency=low
* Accepted NMU (closes: #205246). Thanks, Guus.
* Bumped to Policy 3.6.1. Converted several debian/ files to UTF-8.
* acconfig.h belongs to autoheader, and it's used to generate config.h.in.
Removed file (thanks to Federico 'Derfel' Stella) (closes: #191067).
* debian/control: Depends on debhelper >= 4.0.16 which is the version with
-X support for dh_movefiles.
2003-08-26 - Guus Sliepen <guus@debian.org>
uclmmbase (1.2.12-1.1) unstable; urgency=low
* Non-maintainer upload. BSP.
* Update standards version.
* Fix declaration of inet_ntop. Closes: #205246
2003-01-27 - David Martínez Moreno <ender@debian.org>
uclmmbase (1.2.12-1) unstable; urgency=low
* New upstream release.
* Updated config.guess and config.sub to the latest versions.
* Fixed many DOS line returns in src/rijndael-alg-fst.c.
* Added MODS as upstream changelog file.
* Bumped Standards-Version to 3.5.8.
2002-05-17 - David Martínez Moreno <ender@debian.org>
uclmmbase (1.2.11-2) unstable; urgency=low
* debian/rules: Because of a typo, IPv6 support wasn't really being compiled
in. Thanks, Zyk (closes: #147121).
* This brought up a hidden typo in src/net_udp.c. Fixed.
* Enhanced the doc/Makefile.in in order to clean the final diff.gz.
2002-04-30 - David Martínez Moreno <ender@debian.org>
uclmmbase (1.2.11-1) unstable; urgency=low
* New upstream release.
* Updated config.guess and config.sub to the latest versions.
2001-12-01 - David Martínez Moreno <ender@debian.org>
uclmmbase (1.2.10-1) unstable; urgency=low
* New upstream release.
* Changed maintainer.
* Now uclmmbase honors DEB_BUILD_OPTIONS.
* Updated config.guess and config.sub .
* Cleaned up debian/rules in order to use DH v3.
* Fixed lintian warnings and errors about ldconfig being called
in wrong cases.
* Fixed other many things.
* Other things will have to wait, for example, a lot of warnings
during the build.
2001-08-10 - Jesus M. Gonzalez-Barahona <jgb@debian.org>
uclmmbase (1.2.8-3) unstable; urgency=low
* Modified src/config.h.in and configure.in/configure because
HAVE_INET_NTOP was not defined even if the test was succesful. This
failed in ia64, but not in other targets, I donno why.
(Closes: #105143, #104345).

See Also

Package Description
libucommon-dev_6.1.10-1_i386.deb lightweight C++ threading and sockets - development files
libucommon6_6.1.10-1_i386.deb lightweight C++ threading and sockets - shared libraries
libuconv-ruby1.8_0.6.1-1_all.deb Unicode/EUC-JP translation module for Ruby (transitional package)
libuconv-ruby1.9.1_0.6.1-1_all.deb Unicode/EUC-JP translation module for Ruby (transitional package)
libucpp-dev_1.3.2-1_i386.deb embeddable, quick and light C preprocessor -- development
libucto-dev_0.5.3-3.1+b1_i386.deb Unicode Tokenizer - development
libucto2_0.5.3-3.1+b1_i386.deb Unicode Tokenizer - runtime
libuddi4j-java-doc_2.0.5-2_all.deb Documentation for libuddi4j-java
libuddi4j-java_2.0.5-2_all.deb UDDI implementation in Java
libudev-dev_215-17+deb8u7_i386.deb libudev development files
libudev1_215-17+deb8u7_i386.deb libudev shared library
libudf-dev_0.83-4.2_i386.deb library to work with UDF filesystems (development files)
libudf0_0.83-4.2_i386.deb library to work with UDF filesystems
libudisks2-0_2.1.3-5_i386.deb GObject based library to access udisks2
libudisks2-dev_2.1.3-5_i386.deb GObject based library to access udisks2 - development files
Advertisement
Advertisement